/*  2. Gegeben sind n Werte einer Meßreihe ai mit Zufallszahlen vom Typ float.
Zu berechnen sind dann der Mittelwert M und die Standardabweichung S.
-----------------------------------------------------------------------------*/
#include <stdlib.h>
#include <math.h>
#define anzmax 1000
int main()
{ float a[anzmax], mittel, stdabw;
  int i, n;
  printf("\n Anzahl der Feldelemente (max.%i): ", anzmax);
  scanf("%i", &n);

  mittel=0;
  for(i=0; i<n; i++)
  { a[i]= rand()/3276.7;
    printf("%10f", a[i]);
    mittel= mittel + a[i];
  }
  if( n>0)
  {  mittel= mittel/n;
     stdabw=0;
     for( i=0; i<n; i++)stdabw= stdabw + (mittel - a[i])*(mittel-a[i]);
     if( n>1) stdabw= sqrt( stdabw/(n-1) );
     printf("\n\n Mittelwert= %f, Standardabweichung= %f", mittel, stdabw);
  }
  printf("\n\n");    system("PAUSE");     return 0;
}
